from flask import Blueprint, redirect, session, request
from models import Asset, db
import json

confirm_save_bp = Blueprint('confirm_save', __name__)

# When confirmed, write the csv data to the database
@confirm_save_bp.route('/confirm_save', methods=['POST'])
def confirm_save():
    edited_assets = json.loads(request.form['assets'])
    session['assets'] = edited_assets

    for asset_data in edited_assets:
        asset = Asset(
            assettag=asset_data['assettag'],
            hostname=asset_data['hostname'],
            warrantyfrom=asset_data['warrantyfrom'],
            status=asset_data['status'],
            staffnum=asset_data['staffnum']
        )
        db.session.add(asset)
    db.session.commit()
    session.pop('assets', None)  # Clear session data
    return redirect('/viewall')